Skip to main content

List Wallet Transactions

Wallet transaction listing with filters.

Authentication: Bearer token required.

Endpoint: GET /api/v1/wallet-transactions


Query Parameters​

ParameterTypeRequiredDefaultDescription
wallet_idstringYes—Wallet UUID
statusstringNo—started, in_progress, done, error
typestringNo—withdraw, deposit
pageintNo1Page number
per_pageintNo10Items per page (max 100)

Response — 200 OK​

Paginated list with items (id, wallet_id, wallet, external_id, hash, status, type, created_at, etc.), page, per_page, total.